Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002245 [Piwigo] albums major always 2011.04.05 14:14 2011.07.13 15:32
Reporter plg View Status public  
Assigned To plg
Priority high Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 2.2.4 Product Version 2.1.6
  Target Version 2.2.4 Product Build
Summary 0002245: automatically give permissions to the creator of a new private album
Description When a user (administrator or user with community permissions) creates a sub-album in a private album, the sub-album is private and nobody (not even the webmaster) has the the permission on it.

At least the creator of the album must get permissions automatically.
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships
related to 0002378closedplg MySQL warning on simulation with new albums found 

-  Notes
(0005324)
plg (manager)
2011.07.13 10:58

On http://piwigo.org/forum/viewtopic.php?pid=122228#p122228 [^] Zaphod wrote:

> Maybe a good thing would be to grant access to private albums to all
> admins, by default, and then to be able to edit the settings afterwards?

... and I think it's very smart!
(0005326)
svn (reporter)
2011.07.13 15:30

[Subversion] r11727 by plg on branch 2.2

-----[Subversion commit log]----------------------------------------------------
feature 2245: when a new private album is added, the creator and admins
automatically get permission on it.
(0005327)
svn (reporter)
2011.07.13 15:32

[Subversion] r11728 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
merge r11727 from branch 2.2 to trunk

feature 2245: when a new private album is added, the creator and admins
automatically get permission on it.


- Issue History
Date Modified Username Field Change
2011.04.05 14:14 plg New Issue
2011.04.05 14:14 plg Status new => assigned
2011.04.05 14:14 plg Assigned To => plg
2011.04.05 14:14 plg browser => any
2011.04.05 14:14 plg Web server => Apache 1.3.x
2011.05.02 15:26 plg Target Version 2.2.0 => 2.2.2
2011.05.02 15:27 plg Priority normal => high
2011.06.16 21:26 plg Target Version 2.2.2 => 2.2.4
2011.07.13 10:58 plg Note Added: 0005324
2011.07.13 15:30 svn Checkin
2011.07.13 15:30 svn Note Added: 0005326
2011.07.13 15:31 plg Status assigned => closed
2011.07.13 15:31 plg Resolution open => fixed
2011.07.13 15:31 plg Fixed in Version => 2.2.4
2011.07.13 15:32 svn Checkin
2011.07.13 15:32 svn Note Added: 0005327
2011.07.19 16:56 rvelices Relationship added related to 0002378


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker